Name:           hotspot
Version:        1.4.1
Release:        %mkrel 2
Summary:        The Linux perf GUI for performance analysis
Group:          Development/Tools
License:        GPLv2+
URL:            https://github.com/KDAB/hotspot
Source0:        https://github.com/KDAB/hotspot/releases/download/v%{version}/%{name}-v%{version}.tar.gz
# Make privilege escalation optional (CVE-2023-28144)
Patch1:         0001-Opt-in-via-CMake-to-allow-privilege-escalation.patch

BuildRequires:  gettext
BuildRequires:  kf5-rpm-macros
BuildRequires:  pkgconfig(libdw)
BuildRequires:  pkgconfig(libelf)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  cmake(KDDockWidgets)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Solid)
BuildRequires:  cmake(KF5ThreadWeaver)
BuildRequires:  cmake(KF5WindowSystem)

BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Auth)
BuildRequires:  cmake(KF5SyntaxHighlighting)
BuildRequires:  cmake(KGraphViewerPart)
BuildRequires:  pkgconfig(qcustomplot-qt5)

%description
A standalone GUI for performance data. Attempting to provide a UI like
KCachegrind around Linux perf.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake_kf5 -DALLOW_PRIVILEGE_ESCALATION:BOOL=OFF
%cmake_build

%install
%cmake_install

%files
%license LICENSE.GPL.txt
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/com.kdab.%{name}.desktop
%{_datadir}/dbus-1/system-services/com.kdab.%{name}.perf.service
%{_datadir}/dbus-1/system.d/com.kdab.%{name}.perf.conf
%{_datadir}/knotifications5/%{name}.notifyrc
%{_datadir}/polkit-1/actions/com.kdab.%{name}.perf.policy
%{_metainfodir}/com.kdab.Hotspot.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libexecdir}/%{name}-perfparser
%{_libexecdir}/elevate_perf_privileges.sh
%{_libexecdir}/kauth/%{name}-auth-helper


%changelog
* Thu Nov 02 2023 daviddavid <daviddavid> 1.4.1-2.mga10
+ Revision: 2003503
- rebuild for new kddockwidgets 1.7.0

* Thu Mar 23 2023 daviddavid <daviddavid> 1.4.1-1.mga9
+ Revision: 1950151
- new version: 1.4.1
- add upstream patch to fix CVE-2023-28144 (mga#31674)
- now depend on new KDDockWidgets dependency
- update files list

* Wed Apr 06 2022 umeabot <umeabot> 1.3.0-3.mga9
+ Revision: 1846007
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 1.3.0-2.mga8
+ Revision: 1658572
- Rebuild for new Qt5

* Fri Nov 06 2020 akien <akien> 1.3.0-1.mga8
+ Revision: 1643083
- Mageia-ify spec file
- Install desktop and appdata files
- Add optional libzstd dependency for perfparser
- import hotspot package from Fedora Rawhide (1.3.0-1.fc34)


* Thu Oct 01 2020 Jan Grulich <jgrulich@redhat.com> - 1.3.0-1
- 1.3.0

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 21 2019 Jan Grulich <jgrulich@redhat.com> - 1.2.0-1
- 1.2.0

* Wed Mar 20 2019 Jan Grulich <jgrulich@redhat.com> - 1.1.0-1
- 1.1.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jul 13 2017 Than Ngo <than@redhat.com> - 1.0.0-3
- enable build for s390x

* Thu Jul 13 2017 Than Ngo <than@redhat.com> - 1.0.0-2
- fix build issue on ppc64
- enable ppc64 build

* Tue Jul 11 2017 Jan Grulich <jgrulich@redhat.com> - 1.0.0-1
- Initial version
